#ifndef ANCHOR_H
#define ANCHOR_H

#include <QObject>
#include <QDateTime>

class Anchor : public QObject
{
    Q_OBJECT
public:
    explicit Anchor(QObject *parent = 0);

signals:
    void rssiChanged();
    void dateChanged(QDateTime newDate);
    void nameChanged(QString newName);
    void XChanged(double newXPossition);
    void YChanged(double newYPossition);

public slots:
    int getRssi();
    QDateTime getDate();
    QString getName();
    double getX();
    double getY();
    double getRadius();
    void setRssi(int newRssi);
    void setDate(QDateTime newDate);
    void setName(QString newName);
    void setX(double xPossition);
    void setY(double yPossition);

private:
    int itsRssi = '0';
    QDateTime itsDate = QDateTime::currentDateTime();
    QString itsName;
    double itsXPossition = 3.2;
    double itsYPossition = 2.7;
    double itsRadius = 2.5;

};

#endif // ANCHOR_H
